

/*  Copyright (C) 2002 Secure Systems Lab, Stony Brook. 

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program (See file COPYING in the main directory); 
    if not, write to the Free Software Foundation,
   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  */

/*   Written by Tapan Kamat tkamat@cs.sunysb.edu */

import java.awt.*;
import java.lang.Math;

public class Constants
{
    private static final int temp_height = (int)Toolkit.getDefaultToolkit().getScreenSize().getHeight();

    public static final int UINTER_WIDTH  = (int)Toolkit.getDefaultToolkit().getScreenSize().getWidth() ;
    public static final int UINTER_HEIGHT = (int)Toolkit.getDefaultToolkit().getScreenSize().getHeight() - (int) Math.round(0.0488 * temp_height); 
    
    public static final int TREE_PANEL_WIDTH    = (int) (0.40 * UINTER_WIDTH) ;
    public static final int TREE_PANEL_HEIGHT   = UINTER_HEIGHT - (int) Math.round(0.1540 * UINTER_HEIGHT);

    public static final int DETAILS_PANEL_WIDTH   = (int) (0.59 * UINTER_WIDTH);
    public static final int DETAILS_PANEL_HEIGHT  = UINTER_HEIGHT - (int) Math.round(0.1540 * UINTER_HEIGHT);

    public static final String DEMODIR = System.getProperty("rpmshieldhome");
    public static final String REDHATVERSION = System.getProperty("redhatversion");
}
