#!/usr/bin/perl

$filename =  shift;
$outfile = shift;
#system("rm sample2.P; cat sample2 $filename >> sample2.P");


open(FILE, $filename);
@lines = <FILE>;

$outfile1 = "";
if ($outfile =~ /\./)
{
    ($dummy, $outfile1) = split(/^(.*)\..*/, $outfile);
    $outfile1 = $outfile1 . ".";
}
else
{
    $outfile1 = $outfile . ".";
}

$DOTfile = $outfile1 . "dot";
$PSfile = $outfile1 . "ps";

open(OUT, ">$DOTfile");


print OUT "digraph G {\nrankdir = \"TB\";\n";
foreach $line (@lines)
{
    if (!($line =~ /^start/))
    {
	if ($line =~ /.*\(.*\(.*/)
	{
	    ($dummy, $state_begin, $syscall, $state_end) = split(/^trans\('([^ ']*)',(.*\)),'(.*)'.*/, $line); #' 
        }
        else {
	    ($dummy, $state_begin, $syscall, $state_end) = split(/^.*'(.*)',(.*),'(.*)'.*/, $line);
        }
    
        $state_begin =~ s/^x//;
        $state_end =~ s/^x//;
        print OUT "$state_begin -> $state_end [label=\"$syscall\"];\n";
    }
}
print OUT "}";

close(OUT);

